# Chaos Toolkit Extension for OCI

[![Build Status](https://travis-ci.org/chaostoolkit-incubator/chaostoolkit-oci.svg?branch=master)](https://travis-ci.org/chaostoolkit-incubator/chaostoolkit-oci)
[![Python versions](https://img.shields.io/pypi/pyversions/chaostoolkit-oci.svg)](https://www.python.org/)

This project is a collection of [actions][] and [probes][], gathered as an
extension to the [Chaos Toolkit][chaostoolkit].

[actions]: http://chaostoolkit.org/reference/api/experiment/#action
[changelog]: ./CHANGELOG.md
[chaostoolkit]: http://chaostoolkit.org
[contributing]: ./docs/dev/contribute.md
[experiments]: ./docs/use/experiments.md
[install chaostoolkit-oci]: ./docs/setup/chaostoolkit.md
[keys and ocids]: https://docs.cloud.oracle.com/iaas/Content/API/Concepts/apisigningkey.htm
[oci]: ./docs/setup/oci.md
[oci config]: https://docs.cloud.oracle.com/en-us/iaas/Content/API/Concepts/sdkconfig.htm
[probes]: http://chaostoolkit.org/reference/api/experiment/#probe
[python]: ./docs/setup/python.md
[virtualenv]: ./docs/setup/venv.md

## Setup environment

[Install Python and pip][python]

[Install and create a virtual environment][virtualenv]

[Install chaostoolkit, chaostoolkit-oci][install chaostoolkit-oci]

Configure your [signing keys and obtain your OCIDs][keys and ocids].

Create your [OCI Configuration file][oci config].

## Using chaostoolkit-oci
[Creating and running chaos experiments][experiments].

## Contributing

[Contributing to chaostoolkit-oci][contributing].

## Changelog

View the [CHANGELOG][changelog].

## Acknowledgement

Chaos installation: [chaostoolkit.org][chaostoolkit]

Python, pip installation and virtualenv documentation: https://docs.python-guide.org/#

## License